Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccount

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ContractIdable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceAccount>`, `TreeNode<VoiceAccount>`

public class VoiceAccount extends AbtractVoiceAccount implements Node<VoiceAccount>, Cloneable
Базовый account, который добавляется на договор и представляет собой сущность, аналогичную поинту/правилу в модуле Phone и логин в модуле VoiceIP

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `void`
  `copyTo(VoiceAccount voiceAccount)`
  `int`
  `getAccessCode()`
  `List<VoiceAccount>`
  `getChildren()`
  `String`
  `getComment()`
  Получение комментария аккаунта.
  `int`
  `getContractObjectId()`
  `VoiceAccountState`
  `getDeviceState()`
  `int`
  `getLineCount()`
  `String`
  `getLogin()`
  Получение логина, привязанного на договор
  `long`
  `getNumber()`
  Получение номера телефона, привязанного к договору
  `int`
  `getParentId()`
  `String`
  `getPassword()`
  Получение пароля аккаунта.
  `List<VoiceAccountPort>`
  `getPortList()`
  `String`
  `getPorts()`
  `byte`
  `getSessionCountLimit()`
  `VoiceAccountStatus`
  `getStatus()`
  `VoiceAccount`
  `setAccessCode(int accessCode)`
  `void`
  `setChildren(List<VoiceAccount> children)`
  `VoiceAccount`
  `setComment(String comment)`
  Установка комментария для аккаунта
  `VoiceAccount`
  `setContractId(int contractId)`
  Установка кода договора для аккаунта
  `VoiceAccount`
  `setContractObjectId(int contractObjectId)`
  `VoiceAccount`
  `setDateFrom(Date dateFrom)`
  Установка даты начала действия аккаунта.
  `VoiceAccount`
  `setDateTo(Date dateTo)`
  Установка даты окончания действия аккаунта.
  `VoiceAccount`
  `setDeviceId(int deviceId)`
  Установка кода устройства, к которому привязывается аккаунт
  `VoiceAccount`
  `setDeviceState(VoiceAccountState deviceState)`
  `VoiceAccount`
  `setId(int id)`
  Устанавливает id объекта
  `VoiceAccount`
  `setLineCount(int value)`
  `VoiceAccount`
  `setLogin(String login)`
  Установка логина
  `VoiceAccount`
  `setNumber(long number)`
  Установка номера телефона для договора
  `VoiceAccount`
  `setParentId(int parentId)`
  `VoiceAccount`
  `setPassword(String passwd)`
  Установка пароля для аккаунта.
  `VoiceAccount`
  `setPortList(List<VoiceAccountPort> portList)`
  `VoiceAccount`
  `setPorts(String ports)`
  `VoiceAccount`
  `setSessionCountLimit(byte sessionCountLimit)`
  `VoiceAccount`
  `setStatus(VoiceAccountStatus status)`
  `VoiceAccount`
  `setTypeId(int typeId)`
  Установка кода типа аккаунта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

  `copyTo, getContractComment, getContractId, getContractTitle, getDateFrom, getDateTo, getDeviceId, getObjectId, getTypeId, setContractComment, setContractTitle, setObjectId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceAccount

    public VoiceAccount()

- ## Method Details

  - ### clone

    public Object clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### setId

    public VoiceAccount setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### copyTo

    public void copyTo(VoiceAccount voiceAccount)

  - ### getAccessCode

    public int getAccessCode()

  - ### getChildren

    public List<VoiceAccount> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<VoiceAccount>`

  - ### getComment

    public String getComment()
    Получение комментария аккаунта.
    Returns:
      комментарий аккаунта

  - ### getContractObjectId

    public int getContractObjectId()

  - ### getDeviceState

    public VoiceAccountState getDeviceState()

  - ### getLineCount

    public int getLineCount()

  - ### getLogin

    public String getLogin()
    Получение логина, привязанного на договор
    Returns:
      логин

  - ### getNumber

    public long getNumber()
    Получение номера телефона, привязанного к договору
    Returns:
      строка с номером телефона

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<VoiceAccount>`

  - ### getPassword

    public String getPassword()
    Получение пароля аккаунта.
    Returns:
      пароль.

  - ### getPortList

    public List<VoiceAccountPort> getPortList()

  - ### getPorts

    public String getPorts()

  - ### getSessionCountLimit

    public byte getSessionCountLimit()

  - ### getStatus

    public VoiceAccountStatus getStatus()

  - ### setAccessCode

    public VoiceAccount setAccessCode(int accessCode)

  - ### setChildren

    public void setChildren(List<VoiceAccount> children)
    Specified by:
      `setChildren` in interface `Node<VoiceAccount>`

  - ### setComment

    public VoiceAccount setComment(String comment)
    Установка комментария для аккаунта
    Parameters:
      `comment` - коммментарий

  - ### setContractObjectId

    public VoiceAccount setContractObjectId(int contractObjectId)

  - ### setDeviceState

    public VoiceAccount setDeviceState(VoiceAccountState deviceState)

  - ### setLineCount

    public VoiceAccount setLineCount(int value)

  - ### setLogin

    public VoiceAccount setLogin(String login)
    Установка логина
    Parameters:
      `login` - логин

  - ### setNumber

    public VoiceAccount setNumber(long number)
    Установка номера телефона для договора
    Parameters:
      `number` - номер телефона

  - ### setDeviceId

    public VoiceAccount setDeviceId(int deviceId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода устройства, к которому привязывается аккаунт
    Overrides:
      `setDeviceId` in class `AbtractVoiceAccount`
    Parameters:
      `deviceId` - код устройства

  - ### setDateFrom

    public VoiceAccount setDateFrom(Date dateFrom)
    Description copied from class: `AbtractVoiceAccount`
    Установка даты начала действия аккаунта.
    Overrides:
      `setDateFrom` in class `AbtractVoiceAccount`
    Parameters:
      `dateFrom` - дата начала действия аккаунта

  - ### setContractId

    public VoiceAccount setContractId(int contractId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода договора для аккаунта
    Overrides:
      `setContractId` in class `AbtractVoiceAccount`
    Parameters:
      `contractId` - код договора

  - ### setParentId

    public VoiceAccount setParentId(int parentId)

  - ### setPassword

    public VoiceAccount setPassword(String passwd)
    Установка пароля для аккаунта.
    Parameters:
      `passwd` - пароль

  - ### setPortList

    public VoiceAccount setPortList(List<VoiceAccountPort> portList)

  - ### setPorts

    public VoiceAccount setPorts(String ports)

  - ### setSessionCountLimit

    public VoiceAccount setSessionCountLimit(byte sessionCountLimit)

  - ### setStatus

    public VoiceAccount setStatus(VoiceAccountStatus status)

  - ### setDateTo

    public VoiceAccount setDateTo(Date dateTo)
    Description copied from class: `AbtractVoiceAccount`
    Установка даты окончания действия аккаунта.
    Overrides:
      `setDateTo` in class `AbtractVoiceAccount`
    Parameters:
      `dateTo` - дата окончания действия аккаунта

  - ### setTypeId

    public VoiceAccount setTypeId(int typeId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода типа аккаунта
    Overrides:
      `setTypeId` in class `AbtractVoiceAccount`
    Parameters:
      `typeId` - код типа аккаунта

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`